Skip to main content

Downgrade from Aerospike Database version 5.4 to version 5.3 or version 5.2

Downgrading from Aerospike Database version 5.4 to version 5.3 or version 5.2 (where XDR bin convergence has been used).

On an Aerospike Database version 5.4 node, if the bin convergence feature has been used, extra bin metadata may have been generated and stored within records. When migrating such records to Aerospike Database version 5.3 or 5.2 nodes during a downgrade, the older nodes will not be able to read these records.

Before downgrading, dynamically unset convergence-related configurations and set downgrading to 'true' on every node. When restarting a node with a version previous to 5.4, the drives must be wiped in order to remove unreadable records.